> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to update a field in a case management table in Blink.

# Update Field for Case Management Table



## OpenAPI

````yaml put /workspace/{ws_id}/case_management/table/{table}/fields/{field}
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/case_management/table/{table}/fields/{field}:
    put:
      tags:
        - Case Management
      summary: Update Field for Case Management Table
      description: Update a specific field in a given case management table.
      operationId: CaseManagementUpdateField
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: table
          in: path
          description: Table Name
          required: true
          schema:
            type: string
        - name: field
          in: path
          description: Field Name
          required: true
          schema:
            type: string
      requestBody:
        description: Updated Field Data
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/tables.UpdateTableFieldSettings'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/models.TableField'
        '400':
          description: Failed to update field
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    tables.UpdateTableFieldSettings:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/tables.UpdateTableFieldSettingsAttributes'
        display_name:
          type: string
          example: Test
        type:
          type: string
          example: single-select
          enum:
            - text
            - long-text
            - number
            - risk-level
            - checkbox
            - single-select
            - multi-select
            - list
            - reference
            - date
    models.TableField:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/models.TableFieldAttributes'
        created_at:
          type: integer
        created_by:
          type: string
        description:
          type: string
        display_name:
          type: string
        id:
          type: string
        indexes:
          type: object
          additionalProperties:
            type: string
        name:
          type: string
        table_id:
          type: string
        tenant_id:
          type: string
        type:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        workspace_id:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    tables.UpdateTableFieldSettingsAttributes:
      type: object
      properties:
        default_value:
          type: string
          example: Default
        include_time:
          type: boolean
          example: false
        options:
          type: array
          example:
            - Option 1
            - Option 2
            - Option 3
          items:
            type: string
        table_reference:
          $ref: '#/components/schemas/tables.UpdateTableFieldSettingsReferenceField'
    models.TableFieldAttributes:
      type: object
      additionalProperties:
        type: object
    tables.UpdateTableFieldSettingsReferenceField:
      type: object
      properties:
        display_name_field:
          type: string
          example: Name
        table_name:
          type: string
          example: Table 1
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````